libgnomecanvas 2.30.3
---------------------

What's new since 2.30.2

Bug fixes
	* Fix delivering of scroll events again (Paul Davis)

Translations
	* Carles Ferrando (ca@valencia) 
	* Gheyret T.Kenji (ug)
	* Sahran (ug)
	* Wei-Lun Chao (zh_TW, zh_CN)
	*
	*
libgnomecanvas 2.30.2
---------------------

What's new since 2.30.1

Translations
	* Takayuki KUSANO (ja)
	* Dirgita (in)
	* Fran Diéguez (ga)
	* Matej Urbančič (sl)
	* Kristjan Schmidt (eo)
	* Thomas Thurman (sh)
	* Andika Triwidada (in)
	* Peteris Krisjanis (lv)
	* Shankar Prasad (ka)

libgnomecanvas 2.30.1
---------------------

What's new since 2.30.0

Bug fixes
	* Fix background drawing (Paul Davis)

libgnomecanvas 2.30.0
---------------------

What's new since 2.26.0

Bug fixes
	* Do not use deprecated API (Kjartan Maraas, Andre Klapper)
	* Reduce relocations (Christian Persch)
	* Make glade support optional at configure time (Sven Neumann, Robert
	  Ancell)
	* Forward scroll events to items holding a grap (Paul Davis)
	* Make the paint method work on Quartz too (Paul Davis)
	* Getting GnomeCanvasLine's points property leaks (Torsten Shoenfeld)
	* Fix linking with pedantic linkers (Matthias Clasen)

Translations
	* Khaled Hosny (ar)
	* astur (ast)
	* Israt Jahan (bn)
	* Runa Bhattacharjee (bn_IN)
	* Denis Arnaud (br)
	* Jordi Mallach (ca)
	* Carles Ferrando Garcia (ca@valencia)
	* Lucas Lommer (cs)
	* Iestyn Pryce (cy)
	* Thomas Thurman (en@shaw)
	* Iñaki Larrañaga Murgoitio (eu)
	* Fran Diéguez (gl)
	* Shankar Prasad (kn)
	* Leonardo Ferreira Fontenelle (pt_BR)
	* Mișu Moldovan (ro)
	* Yuri Kozlov (ru)
	* Ni Hui (zh_CN)

libgnomecanvas 2.26.0
---------------------

What's new since 2.25.90

Translations
	* Amitakhya Phukan (as)
	* Reşat SABIQ (crh)
	* Suso Baleato (gl)
	* Rajesh Ranjan (hi)
	* Francesco Marletta (it)
 
libgnomecanvas 2.25.90
---------------------

What's new since 2.19.2

Bug fixes
	* Avoid tearing while repainting (Federico Mena Quintero)
	* Fix compilation with gcc 2.x (Jens Granseur)
	* Register gailcanvas into a11y type system (Sven Herzberg)
	* Do not use deprecated GTK_OBJECT macros (Stefan Kost)
	* Use single GTK+ includes (Cosimo Cecchi, Przemysław Grzegorczyk)

Translations
	* Khaled Hosny (ar)
	* Khandakar Mujahidul Islam (bn)
	* Reşat SABIQ (crh)
	* Lucas Lommer (cs)
	* Jorge González (es)
	* Iñaki Larrañaga Murgoitio (eu)
	* Pauli Virtanen (fi)
	* Robert-André Mauchin (fr)
	* Ignacio Casal Quinteiro (gl)
	* Launchpad Translations Administrators (hr)
	* Francesco Marletta (it)
	* Vladimer Sichinava ვლადიმერ სიჭინავა (ka)
	* Raivis Dejus (lv)
	* Sangeeta Kumari (mai)
	* Santhosh Thottingal (ml)
	* Badral (mn)
	* sandeep shedmake (mr)
	* Nabin Gautam (ne)
	* Åsmund Skjæveland (nn)
	* Yannig Marchegay (Kokoyaya) (oc)
	* Leonardo Ferreira Fontenelle (pt_BR)
	* Mișu Moldovan (ro)
	* Marcel Telka (sk)
	* Matej Urbančič (sl)
	* Laurent Dhima (sq)
	* தங்கம் அருண் (ta)
	* Krishna Babu K (te)
	* Theppitak Karoonboonyanan (th)
	* Baris Cicek (tr)
	* Woodman Tuen (zh_HK)
	* Woodman Tuen (zh_TW)
 
libgnomecanvas 2.19.2
---------------------

What's new since 2.19.1

Bug fixes
	* Don't store the focused item in the data section of the canvas 
	  widget, but in a GObject property of it (Li Yuan)

Translations
	* Finnish (fi): Ilkka Tuohela
 
libgnomecanvas 2.19.1
---------------------

What's new since 2.19.0:

Bug fixes
	* libgnomecanvas-2.0.pc refers to nonexistent gail-1.0.pc (455605)

libgnomecanvas 2.19.0
---------------------

What's new since 2.14.1:

Bug fixes
	* Merge gailcanvas into gnomecanvas (Bill Haneman, Li Yuan, Sven Herzberg)

Updated and new traslations:
	- da (Peter Bach)
	- dz (Pema Geyleg)
	- el (Simos Xenitellis)
	- eu (Inaki Larranaga Murgoitio)
	- gl (Ignacio Casal Quinteiro)
	- it (Francesco Marletta)
	- ja (Takeshi AIHANA)
	- lt (Gintautas Miliauskas)
	- or (Subhransu Behera)
	- pt_BR (Leonardo Ferreira Fontenelle)
	- ro (Mişu Moldovan)
	- ru (Leonid Kanter)
	- sq (Laurnet Dhima)
	- sr (Goran Rakić)
	- ta (I Felix)
	- zh_CN (Yang Zhang)
	- zh_HK (Chao-Hsiung Liao)
	- zh_TW (Chao-Hsiung Liao)

libgnomecanvas 2.14.1
---------------------

What's new since 2.14.0:

Bug fixes
	* Fix a typo in gnome-canvas-shape.c
	* Improve calculation of bounding box in gnome-canvas-text
	  (Robert Schupp)
	* Documentation fixes (Sven Herzberg)
	* Build fixes (Samuel Thibault)
	* Memory allocation fix (Peter G. Baum)
	* Use po/LINGUAS (Przemysław Grzegorczyk)
	* Check hadjustment and vadjustment for NULL in
	  gnome_canvas_pixels_per_unit (Sven Herzberg, Tim Janik)
	* Allow group->destroy() to modify group->item_list without
	  unleashing hell (Sven Herzberg, Tim Janik)
	* Change the get_property() implementation for "dash" to return
	  something useful (Peter G. Baum)

Updated and new transations:
	- or (Gora Mohanty), bn_IN (Runa Bhattacharjee),
	  lv (Raivis Dejus), uk (Maxim Dziumanenko),
	  sl (Matic Žgur), ml (Ani Peter), ro (Mişu Moldovan)
	  ne (Pawan Chitrakar), ar (Djihed Afifi), et (Priit Laes)
	  gu (Ankit Patel), nl (Wouter Bolsterlee), 
	  es (Francisco Javier F. Serrador), mk (Jovan Naumovski)
	  ca (Josep Puigdemont i Casamajó), bg (Alexander Shopov)
	  sv (Daniel Nylander), fi (Illka Tuohela), nb (Kjartan Maraas)
	  en_GB (David Lodge), vi (Clytie Siddall) en_CA (Adam Weinberger)
	  de (Hendrik Richter), he (Yair Hershkovitz), 
	  pt_BR (Leonardo Ferreira Fontenelle), fr (Stéphane Raimbault)
	  ko (Changwoo Ryu)
libgnomecanvas 2.14.0
---------------------

What's new since 2.13.0:

Updated and new translations:
	- ka (Gia Shervashidze), ku (Erdal Ronahi), 
	  ro (Misu Moldovan), zh_HK (Chinese Hong Kong team),
	  zh_TW (Chinese Taiwan Team)

libgnomecanvas 2.13.0
---------------------

What's new since 2.12.0:

Bug fixes:
	- Correctly reset item_list_end when moving the last
	item in the list. Fixes bug #323850. (Federico, Denis Auroux) 
	- Remove a bunch of cruft and compiler warnings (Kjartan)
	- Add g_object_notify() call to allow users to connect to
	the notify::parent signal. Closes bug #320791. (Sven Herzberg)
	- Use BILINEAR interpolation instead of HYPER which is
	"a slow buggy piece of shit". (Federico)
	- Cast GNOME_CANVAS_COLOR macros to use unsigned ints so that 
	shifting left 24 bits won't overflow into the sign bit. 
	Fixes bug #317718. (Danek Duvall)
	- Correctly calculate width_in_pixels and height_in_pixels
	in gnome-canvas-pixbuf.c. (Hans de Graaff)

Docs:
	- Add API docs for gnome-canvas-rich-text.c (Dinoop Thomas)

Translation updates:
	- Added Tatar (tt)
	- Updated Belarusian (be), Dutch (nl)

libgnomecanvas 2.12.0
---------------------

What's new since 2.11.1:

Bug fixes:
	- Win32 fixes (Tor)

Updated translations:
	- Bulgarian, Canadian English, Catalan, Galician, Indonesian,
	  Kinyarwanda, Persian, Romanian, Vietnamese.

libgnomecanvas 2.11.1
---------------------

What's new since 2.10.0:

* Bug fixes:
	- Fix a bunch of typos in the developer docs (Kjartan)
	- Fixes for the perl bindings (scott at asofyet org)
	- Make gnome_canvas_item_get_bounds() work with Rich
	  text items (Jean Bréfort)
	- Dispose fixes (Arjan J. Molenaar)
	- width_units property not readable for shapes (Jean Bréfort)
	- Fix a crash in gnome_canvas_line_update() (Bob Gibbs)
	- Use HYPER for interpolation in the gdk-pixbuf code path
	  (Daniel Llano)
	- text-height and text-width are not writable (Olivier Andrieu)
	- set item->canvas to NULL, once the canvas got destroyed

libgnomecanvas 2.10.0
---------------------

What's new since 2.9.2

* Bug fixes:
	- None

* Translations:
	- Updated Canadian English

libgnomecanvas 2.9.2
--------------------

What's new since 2.9.1

* Bug fixes:
	- Fix possible crashes in gnome_canvas_text_set_property()
	  and gnome_canvas_text_set_markup(). Sebastian Rittau.

* Translations:
	- Added Xhosa (xh)
	- Updated Belarusian (be)

libgnomecanvas 2.9.1
--------------------

What's new since 2.8.0

* Bug fixes:
	- Build fixes (Ondrej Sury)
	- Warning fixes (Kjartan)

* Translations:
	- New translation (ang)
	- Updated translations (en_CA, et, zh_TW)
 
libgnomecanvas 2.8.0
--------------------

What's new since 2.7.1

* Bug fixes:
	- Various fixes (Sven Herzberg, Matthias Clasen)

* Translations:
        - New Norwegian Bookmal translation (Kjartan Maraas)
	- New Bosnian translation (Kenan Hadžiavdić)
	- Various updated translations (ang, bg, el, fi, gu, hu, ne,
					pa, sq, tr)

libgnomecanvas 2.7.1
--------------------

What's new since 2.6.1

* Bug fixes:
	- Doc fixes (Matthias Clasen)

* Features:
	- Update to automake 1.7 (James Henstridge)

libgnomecanvas 2.6.1 "Grizby"
-----------------------------

What's new since 2.6.0

* Translations:
	- Added Gujarati translation (Gujarati Team)
	- Added Basque translation (Iñaki Larrañaga)
	- Various updated translations (ca, he, nn, wa)

libgnomecanvas 2.6.0 "Skree"
----------------------------

What's new since 2.4

* Bug fixes:
	- BPath fixes (David Boucher)
	- Doc fixes (Richard Hult)
	- Set methods for height and width in GnomeCanvasRichText
	  (Kjartan Maraas)
	- Build fixes ("The Written Word", Kjartan Maraas)

* Translations:
	- Added British English translation (Gareth Owen)
	- Added Canadian English translation (Adam Weinberger)
	- Added Lithuanian translation (Žygimantas Beručka, Tomas Kuliavas)
	- Added Serbian Jekavian translation (Bojan Suzić)
	- Added Punjabi translation (Amanpreet Singh Alam)

	- Updated Albanian translation (Laurent Dhima)
	- Updated Arabic translation (Arafat Medini)
	- Updated Azerbaijani translation (Mətin Əmirov)
	- Updated Belarusian translation (Ales Nyakhaychyk)
	- Updated Bengali translation (Sayamindu Dasgupta)
	- Updated Brazilian Portuguese translation (Medina)
	- Updated Croatian translation (Robert Sedak)
	- Updated Czech translation (Miloslav Trmac)
 	- Updated Danish translation (Ole Laursen)
	- Updated Dutch translation (Vincent van Adrighem)
	- Updated Finnish translation (Pauli Virtanen)
	- Updated French translation (Christophe Merlet)
	- Updated German translation (Christian Neumair)
	- Updated Greek translation (Kostas Papadimas)
	- Updated Hindi translation (Guntupalli Karunakar)
	- Updated Hungarian translation (Andras Timar)
	- Updated Irish translation (Paul Duffy)
	- Updated Italian translation (Alesso Frusciante)
	- Updated Japanese translation (Takeshi AIHANA)
	- Updated Korean translation (Changwoo Ryu)
	- Updated Malay translation (Hasbullah Bin Pit)
	- Updated Mongolian translation (Sanlig Badral)
	- Updated Norwegian translation (Kjartan Maraas)
	- Updated Norwegian Nynorsk translation (Åsmund Skjæveland)
	- Updated Polish translation (GNOME PL Team)
	- Updated Portuguese translation (Duarte Loreto)
	- Updated Romanian translation (Mişu Moldovan)
	- Updated Russian translation (Russian Team)
	- Updated Serbian translations (Branko Ivanovic, Danilo Šegan)
	- Updated Simplified Chinese translation (Funda Wang)
	- Updated Slovak translation (Marcel Telka)
	- Updated Spanish translation (Francisco Javier F. Serrador)
	- Updated Swedish translation (Christian Rose)
	- Updated Tamil translation (Dinesh Nadarajah)
	- Updated Ukrainian translation (Maxim Dziumanenko)
	- Updated Welsh translation (Dafydd Harries)
